Service accounts
Create a service account
Scope: serviceaccount:write
Authorization
bearerAuth AuthorizationBearer <token>
An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/service-accounts" \ -H "Content-Type: application/json" \ -d '{ "service_account": {} }'{ "service_account": { "id": "string", "agent_id": "string", "issuer_id": "string", "subject": "string", "enrolled_at": "2023-01-15T01:30:15.01Z", "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "name": "string" }}